
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:mtn_orange_money/kkiapay/view/widget_builder_view.dart';
import 'package:mtn_orange_money/utils/kkiapayConf.sample.dart';


import 'package:uuid/uuid.dart';

// import 'kk/kkiapay/view/widget_builder_view.dart';
// import 'kk/utils/kkiapayConf.sample.dart';

// void main() => runApp(App());

void successCallback(response, context) {
  print(response);
  Navigator.pop(context);
  Navigator.push(
    context,
    MaterialPageRoute(
      builder: (context) => Kkiapay(
        amount: response['requestData']['amount'],
        transactionId: response['transactionId'],
      ),
    ),
  );
}

final kkiapay = KKiaPay(
    amount: 1000,
    countries: ["CI"],
    // countries: ["BJ 229","SN 221","TG 228","CI 225"],
    //   mtn
    // phone: "2250577100000",
    phone: "225",
    // orange
    // phone: "2250777100000",
    name: "Testing User",
    email: "hiyopoy650@unicsite.com",
    reason: 'transaction reason',
    data: 'data',
    sandbox: true,
    apikey: '50c76ac090b511ed84eb8bf4616359f3',
    callback: successCallback,
    theme: defaultTheme, // Ex : "#222F5A",
    // partnerId: 'tpk_50c791d190b511ed84eb8bf4616359f3',
    partnerId:
    'sk_15f40e678ea15f3f5eb53d29e439c67a85c3cab2e655c55ad9fe5d4898670416',
    paymentMethods: ["momo"]);

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Scaffold(
        body: Kkiapay(),
      ),
    );
  }
}

//
class Kkiapay extends StatelessWidget {
  final int? amount;
  final transactionId;

  // const SuccessScreen({this.amount, this.transactionId});
  Kkiapay({
    Key? key,
    this.amount,
    this.transactionId,
  }) : super(key: key);

  final uuid = Uuid();

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Scaffold(
        body: Center(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.center,
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                ButtonTheme(
                  minWidth: 500.0,
                  height: 100.0,
                  child: TextButton(
                      style: ButtonStyle(
                        backgroundColor:
                        MaterialStateProperty.all(Color(0xff222F5A)),
                        foregroundColor: MaterialStateProperty.all(Colors.white),
                      ),
                      child: Column(
                        children: [
                          Text(
                            'Pay with MTN and Orange money',
                            style: TextStyle(color: Colors.white),
                          ),
                        ],
                      ),
                      onPressed: () {
                        Navigator.push(
                          context,
                          MaterialPageRoute(builder: (context) => kkiapay),
                        );
                      }),
                ),
                transactionId != null
                    ? Text(
                  "Your payment of $amount Fcfa has been successfully received \n and the transaction ID is $transactionId",
                  // "Votre paiement de $amount Fcfa a été recu avec succès et l'ID de la transaction est $transactionId",
                  textAlign: TextAlign.center,
                )
                    : Container(),
              ],
            )),
      ),
    );
  }
}